Package com.io7m.idstore.model

# Record Class IdEmailVerification

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdEmailVerification

Record Components:
  `user` - The user
  `email` - The email address
  `tokenPermit` - The verification token to permit the operation
  `tokenDeny` - The verification token to deny the operation
  `operation` - The operation
  `expires` - The expiration date

public record IdEmailVerification(UUID user, IdEmail email, IdToken tokenPermit, IdToken tokenDeny, IdEmailVerificationOperation operation, OffsetDateTime expires) extends Record
An email verification operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdEmailVerification(UUID user, IdEmail email, IdToken tokenPermit, IdToken tokenDeny, IdEmailVerificationOperation operation, OffsetDateTime expires)`
  An email verification operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdEmail`
  `email()`
  Returns the value of the `email` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `OffsetDateTime`
  `expires()`
  Returns the value of the `expires` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IdEmailVerificationOperation`
  `operation()`
  Returns the value of the `operation` record component.
  `IdToken`
  `tokenDeny()`
  Returns the value of the `tokenDeny` record component.
  `IdToken`
  `tokenPermit()`
  Returns the value of the `tokenPermit` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `UUID`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdEmailVerification

    public IdEmailVerification(UUID user, IdEmail email, IdToken tokenPermit, IdToken tokenDeny, IdEmailVerificationOperation operation, OffsetDateTime expires)
    An email verification operation.
    Parameters:
      `user` - The user
      `email` - The email address
      `tokenPermit` - The verification token to permit the operation
      `tokenDeny` - The verification token to deny the operation
      `operation` - The operation
      `expires` - The expiration date

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### user

    public UUID user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component

  - ### email

    public IdEmail email()
    Returns the value of the `email` record component.
    Returns:
      the value of the `email` record component

  - ### tokenPermit

    public IdToken tokenPermit()
    Returns the value of the `tokenPermit` record component.
    Returns:
      the value of the `tokenPermit` record component

  - ### tokenDeny

    public IdToken tokenDeny()
    Returns the value of the `tokenDeny` record component.
    Returns:
      the value of the `tokenDeny` record component

  - ### operation

    public IdEmailVerificationOperation operation()
    Returns the value of the `operation` record component.
    Returns:
      the value of the `operation` record component

  - ### expires

    public OffsetDateTime expires()
    Returns the value of the `expires` record component.
    Returns:
      the value of the `expires` record component